namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void VietnameseSongsButton_Click(object sender, EventArgs e)
        {
            ResetCatBtnStatus(); 

            /*vietnameseSongs = allSongs.Where(song => song.SongGenre.Contains("G1"))
                                .OrderByDescending(song => song.Plays) 
                                .ToList();*/
            string query = SetQueryforSQL("G1"); // Set the query for SQL to filter by genre "F1"
            var vietnameseSongs = SearchSongs_Mysql(query);   
            currentPage = 0; 
            totalPages = (int)Math.Ceiling((double)vietnameseSongs.Count / itemsPerPage);

            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(vietnameseSongs);
        }
    }
}